/*
 * SCPI_parser.h
 *
 * Created: 10.3.2016 21:03:04
 *  Author: Chenda
 */ 


#ifndef SCPI_PARSER_H_
#define SCPI_PARSER_H_

/************************************************************************/
/* public functions definition                                          */
/************************************************************************/
struct stScpi_ParsingStatus* SCPI_PARSER_INIT();
uint8_t SCPI_PARSER_TASK(char *SCPI_messIn, uint8_t SCPI_messLength);
uint8_t SCPI_NUM_TO_ASCII(int16_t IntegerNo, int16_t TenthNo, char *SCPI_messOut);

#endif /* SCPI_PARSER_H_ */